Subject: bug#66399: 29.1; adgadg

From: João Távora <[email-masked]>
Date: Sun, 8 Oct 2023 16:52:31 +0100

On Sun, Oct 8, 2023, 10:59 Reindert-Jan Ekker <[email-masked]> wrote:

>
> João Távora <[email-masked]> writes:
>
> > On Sun, Oct 8, 2023, 01:52 Reindert-Jan Ekker <[email-masked]>
> wrote:
> >
> >  From: Reindert-Jan <[email-masked]>
> >  To: [email-masked]
> >  Subject: 29.1; eglot-ensure fails with error
> >
> >  - emacs -Q
> >  - open a python file
> >  - run eglot-ensure
> >
> > What does it mean to "run eglot-ensure"?
> >
> > João
>
> This is what I run to load eglot. It's a function in eglot.el:
>
> (defun eglot-ensure ()
>   "Start Eglot session for current buffer if there isn't one."
>

I know that it does: I wrote it. But it doesn't make sense to just "run it"
because it's not an interactive command. You typically install it in a hook
and the details of that installation were completely absent.

João